Bug 1258522 - jenkins: CSFR vulnerability allowing remote attacker to hijack authentication [fedora-all]
jenkins: CSFR vulnerability allowing remote attacker to hijack authentication...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: jenkins (Show other bugs)
22
All Linux
high Severity high
: ---
: ---
Assigned To: Michal Srb
Fedora Extras Quality Assurance
fst_owner=dcafaro, fst_ping=1
: Security, SecurityTracking
Depends On:
Blocks: 1258515
  Show dependency treegraph
 
Reported: 2015-08-31 10:28 EDT by Adam Mariš
Modified: 2015-10-13 21:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 07:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-08-31 10:28:52 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-08-31 10:28:57 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1258515,1258522

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1258515,1258522
Comment 2 David A. Cafaro 2015-10-10 22:38:45 EDT
Any work towards fixing this begun?  Is it still valid?
Comment 3 Michal Srb 2015-10-13 04:37:36 EDT
Hi David,

Jenkins is, by default, vulnerable to CSFR attacks and it's a known issue. Administrators can enable "Prevent Cross Site Request Forgery exploits" option under "Configure Global Security" menu [1].

The exploits available at [2] don't seem to work when Jenkins is configured to prevent CSRF attacks, so it seems to me that there is nothing to fix in Jenkins. The CSRF protection is disabled by default for a reason [3].

It would be great if someone from security team could confirm my assumptions here so I could safely close this bug.

[1]: https://wiki.jenkins-ci.org/display/JENKINS/Securing+Jenkins
[2]: http://seclists.org/bugtraq/2015/Aug/161
[3]: https://issues.jenkins-ci.org/browse/JENKINS-15252
Comment 4 Michal Srb 2015-10-13 07:58:23 EDT
Not a bug according to upstream, closing.
Comment 5 David A. Cafaro 2015-10-13 21:44:42 EDT
Thanks for looking into it and tracking those details down.  I'll try and take a pass at confirming, but will assume your correct and this is notabug.

Note You need to log in before you can comment on or make changes to this bug.